
package de.ivu.elect.presentation.wahl.menu;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.business.wahl.boundary.WahlExtendedDAO;

@Specializes
public class NlWahlSearchMenuItemEntry extends WahlSearchMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WahlExtendedDAO wahlExtendedDAO;

  public NlWahlSearchMenuItemEntry() {
    super();
  }

  @Override
  public boolean isRendered() {
    // In NL nur zum Löschen der Wahl notwendig
    return super.isRendered() && hasUseCasePermission(UseCasePermission.WAHL_DELETE) && !wahlExtendedDAO.findByAll(getMandant()).isEmpty();
  }
}
